# - Find Xerces-C
# Find the Xerces-C includes and library
#
#  XERCESC_INCLUDE_DIR - Where to find xercesc include sub-directory.
#  XERCESC_LIBRARIES   - List of libraries when using Xerces-C.
#  XERCESC_FOUND       - True if Xerces-C found.

FIND_PATH(XERCESC_INCLUDE_DIR xercesc/util/XercesVersion.hpp)

SET(XERCESC_NAMES ${XERCESC_NAMES} xerces-c xerces-c_2)
FIND_LIBRARY(XERCESC_LIBRARY NAMES ${XERCESC_NAMES})

# Handle the QUIETLY and REQUIRED arguments and set XERCESC_FOUND to
# TRUE if all listed variables are TRUE.
INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(
  XERCESC DEFAULT_MSG
  XERCESC_LIBRARY XERCESC_INCLUDE_DIR
)

IF(XERCESC_FOUND)
  SET(XERCESC_LIBRARIES ${XERCESC_LIBRARY})
ENDIF(XERCESC_FOUND)

MARK_AS_ADVANCED(XERCESC_LIBRARY XERCESC_INCLUDE_DIR)